=== debian/changelog ===
ros-indigo-gazebo-state-plugins (1.0.2-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Sat, 06 Jan 2018 13:44:44 -0000
