=== debian/control ===
Source: ros-indigo-gazebo-state-plugins
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), gazebo2, ros-indigo-catkin, ros-indigo-eigen-conversions, ros-indigo-gazebo-ros, ros-indigo-gazebo-world-plugin-loader, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-object-msgs, ros-indigo-object-msgs-tools, ros-indigo-roscpp, ros-indigo-shape-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-gazebo-state-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo2, ros-indigo-eigen-conversions, ros-indigo-gazebo-ros, ros-indigo-gazebo-world-plugin-loader, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-object-msgs, ros-indigo-object-msgs-tools, ros-indigo-roscpp, ros-indigo-shape-msgs, ros-indigo-std-msgs
Description: Offers topics and services related to the state of the world in Gazebo.
